GNU bug report logs - #8282
sgml-xml-auto-coding-function() should respect the *-with-signature-* coding

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: LIN Sumang <linsumang@HIDDEN>; merged with #8283; dated Fri, 18 Mar 2011 13:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 8282 8283. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2011 13:33:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 18 09:33:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q0Zo1-0007pj-Rn
	for submit <at> debbugs.gnu.org; Fri, 18 Mar 2011 09:33:30 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <linsumang@HIDDEN>) id 1Q0Sg6-0005UL-Ef
	for submit <at> debbugs.gnu.org; Fri, 18 Mar 2011 01:56:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <linsumang@HIDDEN>) id 1Q0Sg0-0005bb-9t
	for submit <at> debbugs.gnu.org; Fri, 18 Mar 2011 01:56:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:52612)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <linsumang@HIDDEN>) id 1Q0Sg0-0005bX-7Z
	for submit <at> debbugs.gnu.org; Fri, 18 Mar 2011 01:56:44 -0400
Received: from [140.186.70.92] (port=55138 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q0Sfz-0007sx-35
	for bug-gnu-emacs@HIDDEN; Fri, 18 Mar 2011 01:56:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <linsumang@HIDDEN>) id 1Q0Sfy-0005bN-0T
	for bug-gnu-emacs@HIDDEN; Fri, 18 Mar 2011 01:56:42 -0400
Received: from mail-iy0-f169.google.com ([209.85.210.169]:44400)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <linsumang@HIDDEN>) id 1Q0Sfx-0005bI-T8
	for bug-gnu-emacs@HIDDEN; Fri, 18 Mar 2011 01:56:41 -0400
Received: by iyf13 with SMTP id 13so4504335iyf.0
	for <bug-gnu-emacs@HIDDEN>; Thu, 17 Mar 2011 22:56:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type; bh=fA6apqlMstxK5aif6r68lwXvWqZBArx6tGsM0nnCuRo=;
	b=TB9ZxUQsfK76DhaUzgFGBfAX0KTxiahSdkVhrLVDx4Q7r1hqCYKn6wszMYyvwa0ETQ
	iZNyCJkjXlKItjcWYMjhKr+s7QZn8KI7+kEyYMb0cb9vU5hIC1El/xLT6HPtMus5ArD2
	E1kCZ4fhv0C8X3WmYoMGuZ9tzsj/HJr2JpxV4=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=ClUxgYlexapBWUDvV62Uw66waQvlNbcd/gdqZp7pCT44aiYYuU+gwvrk+wefNQKhmH
	MR2gqDp382KyThwkMVBVQRU+juAA/3L8rUhXlc63erhHZHQgpHRYBz9N/BvgB3ZV4X6d
	ahy3s17id7pIZ14q3QEpTTd+2tdIT/OyRqI4s=
MIME-Version: 1.0
Received: by 10.43.70.2 with SMTP id ye2mr921967icb.345.1300427799814; Thu, 17
	Mar 2011 22:56:39 -0700 (PDT)
Received: by 10.42.195.77 with HTTP; Thu, 17 Mar 2011 22:56:39 -0700 (PDT)
Date: Fri, 18 Mar 2011 13:56:39 +0800
Message-ID: <AANLkTikAgc+XbB9PN-j8H2Vj7E8RDRs8yhjA34gdO46h@HIDDEN>
Subject: sgml-xml-auto-coding-function() should respect the *-with-signature-*
	coding
From: LIN Sumang <linsumang@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=bcaec51ddad910615a049ebb71a2
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 18 Mar 2011 09:33:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

--bcaec51ddad910615a049ebb71a2
Content-Type: text/plain; charset=ISO-8859-1

Hi,

I am using Emacs 23.2.1. I think sgml-xml-auto-coding-function() should
respect the *-with-signature-* coding.

Consider the scenario below:
1. xml file with the signature \376\377 at beginning of the file and the
first line is
<?xml version="1.0" encoding="utf-16be"?>
2. edit this file and save it. sgml-xml-auto-coding-function will use the
utf-16be to save the file.
3. open the file again, get messed.

In this case sgml-xml-auto-coding-function() shouldn't change the coding and
if it really need to change the coding, it should append the
*-with-signature-* to the selected coding.

sgml-html-meta-auto-coding-function() should have same problem.

--bcaec51ddad910615a049ebb71a2
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Hi,<br><br>I am using Emacs 23.2.1. I think sgml-xml-auto-coding-function()=
 should respect the *-with-signature-* coding.<br><br>Consider the scenario=
 below:<br>1. xml file with the signature \376\377 at beginning of the file=
 and the first line is <br>
&lt;?xml version=3D&quot;1.0&quot; encoding=3D&quot;utf-16be&quot;?&gt;<br>=
2. edit this file and save it. sgml-xml-auto-coding-function will use the u=
tf-16be to save the file.<br>3. open the file again, get messed.<br><br>In =
this case sgml-xml-auto-coding-function() shouldn&#39;t change the coding a=
nd if it really need to change the coding, it should append the *-with-sign=
ature-* to the selected coding.<br>
<br>sgml-html-meta-auto-coding-function() should have same problem.<br><br>=
<br>

--bcaec51ddad910615a049ebb71a2--




Acknowledgement sent to LIN Sumang <linsumang@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8282; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.